解决Java compiler level does not match the version of the installed Java project facet问题

转载 2016年05月30日 22:33:59

如图所示:


其实要解决也很简单,在资源管理器下,找到项目所在的目录,在.settings子目录里面,用文本编辑器打开org.eclipse.wst.common.project.facet.core.xml配置文件,如图所示:


修改红色画线部分,让它与项目的编译器版本设置保持一致即可。

要查看项目的编译器版本设置,在Eclipse环境中,鼠标右键选择项目,点击Properties,选择Java Compiler,可以在窗口右边看到编译器版本,如图所示:

Hadoop 需要匹配的Java版本介绍

Hadoop Java版本 本文主要参照Java版本在HadoopJavaVersions中描述 点击打开链接 https://wiki.apache.org/hadoop/HadoopJa...
  • cyg521
  • cyg521
  • 2018年01月09日 10:40
  • 35

tomcat问题,jsp页面无法编译,web页面一片空白,log显示空指针,在tomacat的work文件夹下没有生成相应的Java文件

相应的.log日志为: !SESSION 2013-08-06 19:47:31.562 ----------------------------------------------- eclipse...
  • wenlong237
  • wenlong237
  • 2013年08月10日 11:06
  • 1346

MyEclipse web项目导入Eclipse,详细说明

最近导入一个MyEclipse的项目,具体是:spring4.1的web项目,同时遇到了一些问题,总结一下。 1、进入项目目录,找到.project文件,打开。 增加一个(如果有的话,就不用添加)...
  • han_huayi
  • han_huayi
  • 2015年08月13日 12:23
  • 13660

总结 前辈的重构经验

总结 前辈的重构经验 完成这样的重构,需要几个注意点,分享一下 1 一定要在有充分测试代码的前提下重构 2 测试代码的作用是   1 需求固定了   2 保证重构后逻辑不会发生变化   3 有测试...
  • menxu_work
  • menxu_work
  • 2013年07月16日 17:38
  • 6217

java环境报错(项目报红叉)Java compiler level does not match解决方法

解决方案: 1.先设置好jdk,需要确定 项目,eclipse/myeclipse,系统 用的是同一个版本的JDK,我系统中安装的JDK是1.7,所以我把eclipse的jdk成1.7 ...
  • only_musm
  • only_musm
  • 2017年12月08日 14:01
  • 41

创建JavaWeb项目时Facets的含义及作用

1、Facts属于eclipse的插件开发项目之一  什么是Facet Facet项目框架提供了一个功能强大扩展WTP的机制,用户可以在创建web项目时添加各种功能模块。当一个...
  • qq_35624642
  • qq_35624642
  • 2016年07月21日 10:41
  • 1398

[RK3288][Android6.0] 调试笔记 --- 替换系统签名

Platform: RK3288 OS: Android 6.0 Kernel: 3.10.92 由于项目的apk安装需要shareid为system的权限(不需要高权限的apk是可以正常安装的),...
  • kris_fei
  • kris_fei
  • 2017年02月14日 15:43
  • 2012

MyEclipse 项目出现版本问题

最近在做DRP 项目的时候无独有偶,在项目的进行过程中,一直存在 Cannot find the class file for java.lang.CharSequence. Fix the buil...
  • u010293698
  • u010293698
  • 2015年11月28日 23:23
  • 836

Solr学习之—:solr facet

1.     facet介绍 solr将以导航为目的的查询结果称为facet.它并不会修改查询结果信息,只是在查询结果上根据分类添加了count信息, 然后用户根据count信息做进一步的查询,比如淘...
  • xiaomutoudatou
  • xiaomutoudatou
  • 2014年03月12日 15:57
  • 6204

spark报错---安装系列八

1.自从spark2.0.0发布没有assembly的包了,在jars里面,是很多小jar包 修改目录查找jar   2.异常HiveConf of name hive.enable.s...
  • qq_19968255
  • qq_19968255
  • 2017年04月30日 16:48
  • 833
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:解决Java compiler level does not match the version of the installed Java project facet问题
举报原因:
原因补充:

(最多只允许输入30个字)